package plist

import "testing"

func IntCompare(v1, v2 interface{}) int {
	if v1.(*Node).ValueInt() > v2.(*Node).ValueInt() {
		return 1
	}
	return -1
}

func TestPriorityList_InsertValues(t *testing.T) {
	pl := New()
	pl.compare = IntCompare

	pl.InsertValues(1, 2, 5, 6, 2, 4, 3)
	t.Error(pl.String())
}
